Unique appointment ID
Get appointment by ID
Retrieves a single appointment record using its unique address ID.
Path Parameters
Response
application/hal+json
Response
Success
AppointmentsV1
Base schema containing common appointment fields.
Unique identifier for the appointment.
Example:1234567
National Producer Number associated with the appointment.
Example:18551108
Example:ae51f10b-8b5e-40ba-98a9-8f860392b344
Two-letter state code where the appointment applies.
>= 2 characters<= 2 characters
Example:AL
Optional branch identifier.
Name of the appointing insurance company.
Example:My Insurance Company
Federal Employer Identification Number (FEIN) of the company.
5-digit company code.
>= 5 characters<= 5 characters
Example:98765
Line of Authority (LOA) name.
Example:Property
Line of Authority code (may be numeric or alphanumeric).
Example:12
Appointment status (e.g., Active, Terminated).
Example:Terminated
Date when the current status took effect.
Example:2024-02-29
Date of the creation of this record in AgentSync.
Example:2021-04-04
Date of the most recent update to this record in AgentSync.
Example:2024-12-02
Reason for termination, if applicable.
Example:Not for Cause
Optional county code.
Show Child Parameters
Indicates if the appointment is marked as deleted by NIPR.
Show Child Parameters
Producer Contact Information
Contact information for producers
Get contact information for subscribed NPNs
Returns all contact information records for NPNs you are currently subscribed to.
If no query parameters are provided in the request, then the response will include all contact
information for all currently subscribed NPNs. To maximize effectiveness, we strongly
recommend using at least one parameter to narrow your results.
Query Parameters
comma separated list of National Producer Numbers (NPNs)
Example:123456789, 987654321
comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field
Example:MO, CA, CO
limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field
Example:2024-10-15
specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field
Default:true
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Token for fetching the next page of results
Response
application/hal+json
Response
Success
Show Child Parameters
Show Child Parameters
Get contact information for a specific NPN
Returns all contact information associated with a specific NPN. If you’re not already subscribed, this request will automatically subscribe you to the NPN.
Query Parameters
comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field
Example:MO, CA, CO
limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field
Example:2024-10-15
specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field
Default:true
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Token for fetching the next page of results
Path Parameters
National Producer Number (npn) of the data to return
Example:123456789
Response
application/hal+json
Response
Success
Show Child Parameters
Show Child Parameters
Get contact information by ID
Retrieves a single contact information record using its unique contact information ID.
Path Parameters
Unique contact information ID
Response
application/hal+json
Response
Success
ContactInfosV1
Common contact information fields shared across versions.
Unique identifier for the contact information.
Example:1234567
National Producer Number associated with the contact information.
Example:18551108
Example:ae51f10b-8b5e-40ba-98a9-8f860392b344
Type of contact information.
Allowed values:BUSINESS_PHONEBUSINESS_EMAILFAX
Example:BUSINESS_EMAIL
State where the contact information applies.
>= 2 characters<= 2 characters
Example:AL
Identifier for a related branch, if applicable.
Last date NIPR reported an update to this contact information.
Example:2024-12-01
Date of the creation of this record in AgentSync.
Example:2021-04-04
Date of the most recent update to this record in AgentSync.
Example:2024-12-02
The contact information itself (phone number, email, etc.)
Example:apis.rock@agentsync.io
Indicates if the contact information was marked deleted by NIPR.